﻿@using Isen.DotNet.Library.Models.Implementation;
@using Isen.DotNet.Library.Repositories.Interfaces;
@{
    ViewData["Title"] = "Commune (détail)";
}
@inject IDepartementRepository _departementRepository;
@model Town
<div class="row">
    <div class="col-md-12">
        <h1>Détail d'une commune <small>/town/detail</small></h1>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <form class="form-horizontal" asp-action="Detail">
            <input type="hidden" value="@Model?.Id" asp-for="Id" />
            <div>
                <label for="Name" class="control-label">Nom de la commune :</label>
                <input type="text" class="form-control"
                       id="Name" placeholder="Nom de la commune"
                       value="@Model?.Name" asp-for="Name" />

                <label for="Latitude" class="control-label">Latitude de la commune :</label>
                <input type="text" class="form-control"
                       id="Latitude" placeholder="Latitude de la commune"
                       value="@Model?.Latitude" asp-for="Latitude" />

                <label for="Longitude" class="control-label">Longitude de la commune :</label>
                <input type="text" class="form-control"
                       id="Name" placeholder="Longitude de la commune"
                       value="@Model?.Longitude" asp-for="Longitude" />
            </div>

            <div>
                <label for="DepartementId">
                    Departement :
                </label>
                @Html.DropDownListFor(
                 // Champ du modèle (quelle ville faut-il sélectionner)
                 // Le moteur Razor sait que p est une Personne
                 // grace à @model Person
                 d => d.DepartementId,
                 // Remplissage de la liste
                 new SelectList(
                     // Liste des entités qui peuplent la liste
                     // voir @using et @inject en haut de fichier
                     _departementRepository.GetAll(),
                     // Champ de clé
                     "Id",
                     // Champ d'affichage
                     "Name"),
                 // Item par défaut
                 "<Sélectionnez un departement>",
                 // Classe CSS
                 // Le @ n'est pas celui de Razor mais celui du C#
                 // Si on veut nommer une classe ou un champ avec un
                 // mot clé du langage, on le fait précéder d'un @
                 new { @class = "form-control" })
            </div>

            <br />
            <input type="submit" class="btn btn-primary" value="Valider" />
            <a class="btn btn-default"
               asp-controller="Town" asp-action="Index">Annuler</a>
        </form>
    </div>
</div>